%define pkgname xinit
%define xinitver 1.3.0

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 X Window System xinit startup scripts
Name: 		xorg-x11-%{pkgname}
Version: 	%{xinitver}
Release: 	1
License: 	MIT/X11
Group: 		User Interface/X
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686

Source0: 	http://xorg.freedesktop.org/releases/individual/app/%{pkgname}-%{version}.tar.bz2
Source10: 	xinitrc-common
Source11: 	xinitrc
Source12: 	Xclients
Source13: 	Xmodmap
Source14: 	Xresources
Source15: 	xinput.sh
# NOTE: Xsession is used by xdm/kdm/gdm and possibly others, so we keep it
#       here instead of the xdm package.
Source16: 	Xsession


BuildRequires: 	pkg-config
# NOTE: startx needs xauth in order to run, but that is not picked up
#       automatically by rpm.  (Bug #173684)
Requires: 	xauth

# NOTE: xinit, startx moved to xorg-x11-xinit during the X.Org X11R7
# modularization.  These Obsoletes lines ensure upgrades work smoothly.
Obsoletes: 	xorg

# NOTE: Most of the xinitrc scripts/config files are now in xorg-x11-xinit,
# so the xinitrc package became unnecessary.  The xdm configs/scripts move
# to the xdm package.
Obsoletes: xinitrc

BuildRequires: xorg-x11-util-macros

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libX11-devel

%description
X.Org X11 X Window System xinit startup scripts

%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure
# FIXME: Upstream should default to XINITDIR being this.  Make a patch to
# Makefile.am and submit it in a bug report or check into CVS.
make XINITDIR=/etc/X11/xinit

%install
rm -rf $RPM_BUILD_ROOT
# FIXME: Upstream should default to XINITDIR being this.  Make a patch to
# Makefile.am and submit it in a bug report or check into CVS.
%makeinstall XINITDIR=$RPM_BUILD_ROOT/etc/X11/xinit

# Install Red Hat custom xinitrc, etc.
{
    for script in %{SOURCE10} %{SOURCE11} %{SOURCE12} %{SOURCE16} ; do
        install -m 755 $script $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/${script##*/}
    done

    install -m 644 %{SOURCE13} $RPM_BUILD_ROOT%{_sysconfdir}/X11/Xmodmap
    install -m 644 %{SOURCE14} $RPM_BUILD_ROOT%{_sysconfdir}/X11/Xresources

    mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/xinitrc.d
    install -m 755 %{SOURCE15} $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/xinitrc.d/xinput.sh

    mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/Xclients.d
}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING INSTALL README ChangeLog
%{_bindir}/startx
%{_bindir}/xinit
%dir %{_sysconfdir}/X11
%dir %{_sysconfdir}/X11/xinit
%{_sysconfdir}/X11/xinit/xinitrc
%{_sysconfdir}/X11/xinit/xinitrc-common
%config(noreplace) %{_sysconfdir}/X11/Xmodmap
%config(noreplace) %{_sysconfdir}/X11/Xresources
%dir %{_sysconfdir}/X11/xinit/Xclients.d
%{_sysconfdir}/X11/xinit/Xclients
%{_sysconfdir}/X11/xinit/Xsession
%dir %{_sysconfdir}/X11/xinit/xinitrc.d
%{_sysconfdir}/X11/xinit/xinitrc.d/*
%{_mandir}/man1/startx.1.gz
%{_mandir}/man1/xinit.1.gz

%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0-1
- Version udpate
* Sat Aug 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.2.1-1
- Version udpate
* Sun Nov 29 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-1
- Version udpate
* Wed Nov 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.1.1-1
- Version udpate
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.1.0-1
- Version update
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.5-1
- Version udpate
* Sun Jul 02 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.2-1
- Initial release
